#
# spec file for package ghc-salve
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name salve
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.0.6
Release:        2.10
Summary:        Semantic version numbers and constraints
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{with tests}
BuildRequires:  ghc-doctest-devel
%endif

%description
Salve provides semantic version (SemVer) numbers and constraints (ranges).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
echo > Setup.hs 'import Distribution.Simple'
echo >>Setup.hs 'main = defaultMain'

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE.markdown

%files devel -f %{name}-devel.files
%doc CHANGELOG.markdown README.markdown

%changelog
* Mon Oct  8 2018 psimons@suse.com
- Update salve to version 1.0.6.
  Upstream has not updated the file "CHANGELOG.markdown" since the
  last release.
* Tue Jul 17 2018 psimons@suse.com
- Update salve to version 1.0.4.
  Upstream has not updated the file "CHANGELOG.markdown" since the
  last release.
* Tue Jul 10 2018 psimons@suse.com
- Add salve at version 1.0.3.
